{% extends 'layout.html' %}

{% block title %}
ARPA MPC Demo
{% endblock %}

{% block head %}
<link rel="stylesheet" type="text/css" href="/static/css/style.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.0/jquery.min.js"></script>
<script src="https://cdn.rawgit.com/google/code-prettify/master/loader/run_prettify.js"></script>
<script>
    function get_program(option) {
        $.ajax({
            dataType: "json",
            url: "/demo_file/" + option.value,
            success: function (data) {
                if (data["result"]) {
                    document.getElementById('program').innerHTML = PR.prettyPrintOne(data['result'], null, true)
                }
            }
        });
    }
</script>
{% endblock %}

{% block body %}

<div id="container" class="container">
    <div class="card board-0 animated slideInUp" style="margin-top:15px;">
        <div class="card card-header align-items-center ">
            <h2>MPC Demo</h2>
        </div>
    </div>

    <div id="main" class="row">
        <div class="col-md-3 animated rotateInUpRight" style="margin-top:15px;">
            <form method="POST" enctype="multipart/form-data" action="{{ url_for('run_mpc') }}">
                <div class="card">
                    <div class="view overlay">
                        <div class="mask rgba-white-slight"></div>
                    </div>
                    <div class="card card-header align-items-center">
                        <label for="file">Please choose a demo program to run by MPC nodes</label>
                    </div>
                    <div class="card card-body align-items-center">
                        <select class="mdb-select js--animations" name="file" onchange="get_program(this)">
                            {% for item in files -%}
                            <option value="{{ item }}">{{ item }}</option>
                            {{ item }}
                            {%- endfor %}
                        </select>
                        <br /><br />
                        <input class="btn btn-success" type="submit" value="Run Program">
                    </div>
                </div>
            </form>
        </div>

        <div class="col-md-9 animated rotateInUpLeft" style="margin-top:15px;">
            <div class="card">
                <div class="card card-header align-items-center">
                    Code prepared
                </div>
                <div class="card card-body">
                    <div id="animCode">
                        <pre class="prettyprint linenums" id="program">{{ program_content }}</pre>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<script>
    function selectAnimIn() {
        $('#animCode').removeClass().addClass('animated fadeIn').one('webkitAnimationEnd mozAnimationEnd MSAnimationEnd oanimationend animationend', function () {
            $(this).removeClass();
        });
    };
    function selectAnimOut() {
        $('#animCode').removeClass().addClass('animated fadeOut').one('webkitAnimationEnd mozAnimationEnd MSAnimationEnd oanimationend animationend', function () {
            $(this).removeClass();
        });
    };

    $(document).ready(function () {

        $('.js--animations').change(function () {
            selectAnimOut();
            selectAnimIn();
        });
    });

    new WOW().init();
</script>
{% endblock %}